package fr.cnam.espacetore;

public class ControleurJeu
{
    private int nbX;
    private int nbY;
    private int tailleCase;
    private int tempo;
    private boolean modeCombat;

    public void setParam(int nbX,
                         int nbY,
                         int tailleCase)
    {
        this.nbX=nbX;
        this.nbY=nbY;
        this.tailleCase=tailleCase;
    }

    public void setTempo(int tempo)
    {
        this.tempo=tempo;
    }

    public void setModeCombat(boolean modeCombat)
    {
        this.modeCombat=modeCombat;
    }
    
    public int getNbX(){return nbX;}
    public int getNbY(){return nbY;}
    public int getTailleCase(){return tailleCase;}
    public int getTempo(){return tempo;}
    public boolean getModeCombat(){return modeCombat;}
}